Convert StGIT patches to mbox format so that they can be imported.
Signed-off-by: Giuseppe Bilotta <giuseppe.bilotta@gmail.com>
---
git-am.sh | 32 ++++++++++++++++++++++++++++++++
1 files changed, 32 insertions(+), 0 deletions(-)
diff --git a/git-am.sh b/git-am.sh
index 3508b7e..5199354 100755
--- a/git-am.sh
+++ b/git-am.sh
@@ -375,6 +375,38 @@ else
exit 1
}
;;
+ stgit)
+ this=0
+ for stgit in "$@"
+ do
+ this=`expr "$this" + 1`
+ msgnum=`printf "%0${prec}d" $this`
+ touch "$dotest/$msgnum"
+ # Awk version of StGIT parse_patch
+ awk 'BEGIN { subject=0 }
+ {
+ if (subject > 1)
+ print ;
+ else if (/^$/) next ;
+ else if (/^Author:/) print sub("Author", "From"), $ORS ;
+ else if (/^(From|Date)/) print ;
+ else if (subject) {
+ subject = 2 ;
+ print "" ;
+ print ;
+ } else {
+ print "Subject:", $0 ;
+ subject = 1;
+ }
+ }' "$stgit" > "$dotest/$msgnum" || {
+ echo "Failed to import $patch_format patch $stgit"
+ exit 1
+ }
+ done
+ echo "$this" > "$dotest/last"
+ this=
+ msgnum=
+ ;;
*)
echo "Patch format $patch_format is not currently handled, sorry"
exit 1
--
1.6.3.1.245.g4529.dirty
--
To unsubscribe from this list: send the line "unsubscribe git" in
the body of a message to majordomo@vger.kernel.org
More majordomo info at http://vger.kernel.org/majordomo-info.html